# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

# vim: set ts=4 sw=4 et:

Name:           clamtk
Version:        5.06
Release:        0
Summary:        GUI for the ClamAV Antivirus
Source:         https://bitbucket.org/dave_theunsub/clamtk/downloads/clamtk-%{version}.tar.gz
Patch0:         clamtk-add_searchpath.patch
URL:            http://code.google.com/p/clamtk/
Group:          Productivity/Security
License:        GPL-1.0+ or Artistic-1.0
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
Requires:       clamav >= 0.88
Recommends:     clamav-db
Requires:       perl
Requires:       perl(Cwd)
Requires:       perl(Time::Piece)
Requires:       perl(Digest::SHA)
Requires:       perl(Encode)
Requires:       perl(File::Basename)
Requires:       perl(File::Copy)
## Requires:       perl(File::Find::Rule)
Requires:       perl(File::Path)
Requires:       perl(Glib)
Requires:       perl(Gtk2) >= 1.241
Requires:       perl(Gtk2::SimpleList)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Locale::gettext)
Requires:       perl(Net::DNS)
Requires:       perl(Text::CSV)
Requires:       zenity
# not actually needed, but to make the build fail if the dependencies
# won't be available at runtime:
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Date::Calc)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Encode)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(Text::CSV)
## BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(Glib)
BuildRequires:  perl(Gtk2) >= 1.241
BuildRequires:  perl(Gtk2::SimpleList)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Locale::gettext)
BuildRequires:  perl(Net::DNS)
BuildRequires:  zenity
BuildRequires:  update-desktop-files
BuildArch:      noarch
#Obsoletes:      clamtk-kde
# for Virustotal API:
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP::Protocol::https)
Requires:       perl(JSON)
Requires:       perl(LWP::Protocol::https)

%description
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click virus scanner.

%lang_package
%prep
%setup -q
%patch0

%build
%__gzip -dc clamtk.1.gz > clamtk.1
%__rm clamtk.1.gz

%install
%__install -D -m 0755 clamtk "%{buildroot}%{_bindir}/clamtk"
%__install -D -m 0644 images/clamtk.png "%{buildroot}%{_datadir}/pixmaps/clamtk.png"
%__install -D -m 0644 clamtk.desktop "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m 0644 clamtk.1 "%{buildroot}%{_mandir}/man1/clamtk.1"

# use /usr/lib, not %%{_libdir}:
%__install -d "%{buildroot}%{_prefix}/lib/ClamTk"
%__install -m0644 lib/*.pm "%{buildroot}%{_prefix}/lib/ClamTk/"

pushd po
for mo in *.mo; do
    lang="${mo%%.mo}"
    %__install -D -m 0644 "${mo}" "%{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/%{name}.mo"
done
popd #po
for l in cs_CZ el_GR nl_BE ast; do
    %__rm -rf "%{buildroot}%{_datadir}/locale/$l"
done

%suse_update_desktop_file -r "%{name}" System Security

%find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc CHANGES DISCLAIMER LICENSE README
%{_bindir}/clamtk
%{_prefix}/lib/ClamTk
%{_datadir}/pixmaps/clamtk.png
%{_datadir}/applications/%{name}.desktop
%doc %{_mandir}/man1/clamtk.1%{ext_man}

%files lang -f "%{name}.lang"

%changelog
